package dao;

import java.util.List;

import org.seasar.dao.annotation.tiger.Arguments;
import org.seasar.dao.annotation.tiger.Query;
import org.seasar.dao.annotation.tiger.S2Dao;

import entity.Master;

/**
 * @author ueshin
 */
@S2Dao(bean = Master.class)
public interface MasterDao {

    /**
     * dao.interceptorで
     * 
     * @param masterId
     * @return
     */
    @Arguments("masterId")
    @Query("masterId = /*masterId*/1")
    public Master getMasterByMasterId(int masterId);

    /**
     * EntityManagerで
     * 
     * @return
     */
    public List<Master> getMastersFromEntityManager();
}
