package dao;

import org.seasar.extension.unit.S2TestCase;

import entity.Master;

/**
 * @author ueshin
 */
public class MasterDaoTest extends S2TestCase {

    private MasterDao masterDao;

    /*
     * (non-Javadoc)
     * 
     * @see junit.framework.TestCase#setUp()
     */
    protected void setUp() throws Exception {
        include("app.dicon");
    }

    /**
     * Test method for
     * {@link jp.ymir.ling.dao.dao.MasterDao#getMasterByMasterId(int)}.
     */
    public void testGetMasterByMasterIdTx() {
        readXlsAllReplaceDb("MasterDaoTest.xls");

        Master master = masterDao.getMasterByMasterId(1);
        assertNotNull(master);
        assertEquals(1, master.getMasterId());
        assertEquals("master1", master.getMasterName());
    }

}
