package dao.impl;

import java.util.List;

import org.seasar.extension.unit.S2TestCase;

import dao.MasterDao;
import entity.Master;

/**
 * @author ueshin
 */
public class MasterDaoImplTest extends S2TestCase {

    private MasterDao masterDao;

    /*
     * (non-Javadoc)
     * 
     * @see junit.framework.TestCase#setUp()
     */
    protected void setUp() throws Exception {
        include("app.dicon");
    }

    /**
     * Test method for
     * {@link jp.ymir.ling.dao.dao.impl.MasterDaoImpl#getMastersFromEntityManager()}.
     */
    public void testGetMastersFromEntityManagerTx() {
        readXlsAllReplaceDb("MasterDaoTest.xls");

        List<Master> masters = masterDao.getMastersFromEntityManager();
        assertEquals(5, masters.size());
    }

}
