/**
 * 
 */
package dao.impl;

import java.util.List;

import org.seasar.dao.DaoMetaDataFactory;
import org.seasar.dao.impl.AbstractDao;

import dao.MasterDao;
import entity.Master;

/**
 * @author ueshin
 */
// @S2Dao(bean = Master.class)
public abstract class MasterDaoImpl extends AbstractDao implements MasterDao {

    /**
     * @param daoMetaDataFactory
     */
    public MasterDaoImpl(DaoMetaDataFactory daoMetaDataFactory) {
        super(daoMetaDataFactory);
    }

    /*
     * (non-Javadoc)
     * 
     * @see jp.ymir.ling.dao.dao.MasterDao#getMastersFromEntityManager()
     */
    @Override
    @SuppressWarnings("unchecked")
    public List<Master> getMastersFromEntityManager() {
        return getEntityManager().find("ORDER BY masterId");
    }

}
